package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.business.bean.dto.UserArchivesDto;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 项目派单信息
 * @Author: CaoZixuan
 * @Date: 2023-08-31
 */
public class CrmProjectResult {

    @ApiModelProperty("项目单号")
    private String crmNo;

    @ApiModelProperty("项目名称")
    private String crmName;

    @ApiModelProperty("派单时间")
    private Long crmBeginTime;

    @ApiModelProperty("客户经理id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long customManagerId;

    @ApiModelProperty("客户经理名称")
    private String customManagerName;

    @ApiModelProperty("客户类型")
    private ProductTypeEnum customType;

    @ApiModelProperty("客户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long customId;

    @ApiModelProperty("客户名称")
    private String customName;

    @ApiModelProperty("考试开始时间")
    private Long examStartTime;

    @ApiModelProperty("考试开始时间")
    private Long examEndTime;

    @ApiModelProperty("实施产品id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long productId;

    @ApiModelProperty("实施产品名称")
    private String productName;

    @ApiModelProperty("服务单元id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long serviceUnitId;

    @ApiModelProperty("服务单元名称")
    private String serviceUnitName;

    @ApiModelProperty("大区经理id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long regionManagerId;

    @ApiModelProperty("大区经理名称")
    private String regionManagerName;

    @ApiModelProperty("区域协调人id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long regionCoordinatorId;

    @ApiModelProperty("区域协调人名称")
    private String regionCoordinatorName;

    @ApiModelProperty("实施工程师集合")
    private List<UserArchivesDto> effectEngineerList;

    @ApiModelProperty("助理工程师集合")
    private List<UserArchivesDto> assistantEngineerList;

    @ApiModelProperty(value = "标准人天")
    private Integer peoperDay;

    public Integer getPeoperDay() {
        return peoperDay;
    }

    public void setPeoperDay(Integer peoperDay) {
        this.peoperDay = peoperDay;
    }

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public String getCrmName() {
        return crmName;
    }

    public void setCrmName(String crmName) {
        this.crmName = crmName;
    }

    public Long getCrmBeginTime() {
        return crmBeginTime;
    }

    public void setCrmBeginTime(Long crmBeginTime) {
        this.crmBeginTime = crmBeginTime;
    }

    public Long getCustomManagerId() {
        return customManagerId;
    }

    public void setCustomManagerId(Long customManagerId) {
        this.customManagerId = customManagerId;
    }

    public String getCustomManagerName() {
        return customManagerName;
    }

    public void setCustomManagerName(String customManagerName) {
        this.customManagerName = customManagerName;
    }

    public ProductTypeEnum getCustomType() {
        return customType;
    }

    public void setCustomType(ProductTypeEnum customType) {
        this.customType = customType;
    }

    public Long getCustomId() {
        return customId;
    }

    public void setCustomId(Long customId) {
        this.customId = customId;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public Long getServiceUnitId() {
        return serviceUnitId;
    }

    public void setServiceUnitId(Long serviceUnitId) {
        this.serviceUnitId = serviceUnitId;
    }

    public String getServiceUnitName() {
        return serviceUnitName;
    }

    public void setServiceUnitName(String serviceUnitName) {
        this.serviceUnitName = serviceUnitName;
    }

    public Long getRegionManagerId() {
        return regionManagerId;
    }

    public void setRegionManagerId(Long regionManagerId) {
        this.regionManagerId = regionManagerId;
    }

    public String getRegionManagerName() {
        return regionManagerName;
    }

    public void setRegionManagerName(String regionManagerName) {
        this.regionManagerName = regionManagerName;
    }

    public Long getRegionCoordinatorId() {
        return regionCoordinatorId;
    }

    public void setRegionCoordinatorId(Long regionCoordinatorId) {
        this.regionCoordinatorId = regionCoordinatorId;
    }

    public String getRegionCoordinatorName() {
        return regionCoordinatorName;
    }

    public void setRegionCoordinatorName(String regionCoordinatorName) {
        this.regionCoordinatorName = regionCoordinatorName;
    }

    public List<UserArchivesDto> getEffectEngineerList() {
        return effectEngineerList;
    }

    public void setEffectEngineerList(List<UserArchivesDto> effectEngineerList) {
        this.effectEngineerList = effectEngineerList;
    }

    public List<UserArchivesDto> getAssistantEngineerList() {
        return assistantEngineerList;
    }

    public void setAssistantEngineerList(List<UserArchivesDto> assistantEngineerList) {
        this.assistantEngineerList = assistantEngineerList;
    }
}
